Package twisted :: Package manhole :: Module explorer :: Class Signature

[show private | hide private]
[frames | no frames]

## Class Signature

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                       Signature

I represent the signature of a callable.

Signatures are immutable, so don't expect my contents to change once they've been set.

Method Summary
| `__init__(self, argNames)`
| `__len__(self)`
| `__str__(self)`
| ``discardSelf`(self)` Invoke me to discard the first argument if this is a bound method.
| `get_default(self, arg)`
| `get_name(self, arg)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer.
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Copyable`)
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| `is_keyword(self, arg)`
| `is_varlist(self, arg)`
| ``jellyFor`(self, jellier)` Assemble type tag and state to copy for this broker. (inherited from `Copyable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `set_default(self, arg, value)`
| `set_keyword(self, arg)`
| `set_varlist(self, arg)`

Class Variable Summary
`None` | `_FLAVOURLESS`
`int` | `_HAS_DEFAULT`
`int` | `_KEYWORD_DICT`
`int` | `_VAR_LIST`

Method Details

### discardSelf(self)

Invoke me to discard the first argument if this is a bound method.

### getStateToCopy(self)

Gather state to send when I am serialized for a peer.

I will default to returning self.__dict__. Override this to customize this behavior.

  Overrides:
    `twisted.spread.flavors.Copyable.getStateToCopy` (inherited documentation)

Class Variable Details

### _FLAVOURLESS

  Type:
    `None`
  Value:

        None

### _HAS_DEFAULT

  Type:
    `int`
  Value:

        2

### _KEYWORD_DICT

  Type:
    `int`
  Value:

        8

### _VAR_LIST

  Type:
    `int`
  Value:

        4

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net